--- old/usr/src/lib/openssl/libsunw_crypto/bn/x86_64-gcc.c	2014-08-13 19:32:55.243862171 +0400
+++ new/usr/src/lib/openssl/libsunw_crypto/bn/x86_64-gcc.c	2014-08-13 19:32:55.256301388 +0400
@@ -1,6 +1,6 @@
-#include "../bn_lcl.h"
+#include <bn_lcl.h>
 #if !(defined(__GNUC__) && __GNUC__>=2)
-# include "../bn_asm.c"	/* kind of dirty hack for Sun Studio */
+# include "bn_asm.c"	/* kind of dirty hack for Sun Studio */
 #else
 /*
  * x86_64 BIGNUM accelerator version 0.1, December 2002.
@@ -72,15 +72,15 @@
  */
 #define mul_add(r,a,word,carry) do {	\
 	register BN_ULONG high,low;	\
-	asm ("mulq %3"			\
+	__asm__ ("mulq %3"			\
 		: "=a"(low),"=d"(high)	\
 		: "a"(word),"m"(a)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(carry),"+d"(high)\
 		: "a"(low),"g"(0)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+m"(r),"+d"(high)	\
 		: "r"(carry),"g"(0)	\
 		: "cc");		\
@@ -89,11 +89,11 @@
 
 #define mul(r,a,word,carry) do {	\
 	register BN_ULONG high,low;	\
-	asm ("mulq %3"			\
+	__asm__ ("mulq %3"			\
 		: "=a"(low),"=d"(high)	\
 		: "a"(word),"g"(a)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(carry),"+d"(high)\
 		: "a"(low),"g"(0)	\
 		: "cc");		\
@@ -101,7 +101,7 @@
 	} while (0)
 
 #define sqr(r0,r1,a)			\
-	asm ("mulq %2"			\
+	__asm__ ("mulq %2"			\
 		: "=a"(r0),"=d"(r1)	\
 		: "a"(a)		\
 		: "cc");
@@ -176,7 +176,7 @@
 BN_ULONG bn_div_words(BN_ULONG h, BN_ULONG l, BN_ULONG d)
 {	BN_ULONG ret,waste;
 
-	asm ("divq	%4"
+	__asm__ ("divq	%4"
 		: "=a"(ret),"=d"(waste)
 		: "a"(l),"d"(h),"g"(d)
 		: "cc");
@@ -189,7 +189,7 @@
 
 	if (n <= 0) return 0;
 
-	asm (
+	__asm__ (
 	"	subq	%2,%2		\n"
 	".p2align 4			\n"
 	"1:	movq	(%4,%2,8),%0	\n"
@@ -212,7 +212,7 @@
 
 	if (n <= 0) return 0;
 
-	asm (
+	__asm__ (
 	"	subq	%2,%2		\n"
 	".p2align 4			\n"
 	"1:	movq	(%4,%2,8),%0	\n"
@@ -294,53 +294,53 @@
 	}
 #else
 #define mul_add_c(a,b,c0,c1,c2)	do {	\
-	asm ("mulq %3"			\
+	__asm__ ("mulq %3"			\
 		: "=a"(t1),"=d"(t2)	\
 		: "a"(a),"m"(b)		\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c0),"+d"(t2)	\
 		: "a"(t1),"g"(0)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c1),"+r"(c2)	\
 		: "d"(t2),"g"(0)	\
 		: "cc");		\
 	} while (0)
 
 #define sqr_add_c(a,i,c0,c1,c2)	do {	\
-	asm ("mulq %2"			\
+	__asm__ ("mulq %2"			\
 		: "=a"(t1),"=d"(t2)	\
 		: "a"(a[i])		\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c0),"+d"(t2)	\
 		: "a"(t1),"g"(0)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c1),"+r"(c2)	\
 		: "d"(t2),"g"(0)	\
 		: "cc");		\
 	} while (0)
 
 #define mul_add_c2(a,b,c0,c1,c2) do {	\
-	asm ("mulq %3"			\
+	__asm__ ("mulq %3"			\
 		: "=a"(t1),"=d"(t2)	\
 		: "a"(a),"m"(b)		\
 		: "cc");		\
-	asm ("addq %0,%0; adcq %2,%1"	\
+	__asm__ ("addq %0,%0; adcq %2,%1"	\
 		: "+d"(t2),"+r"(c2)	\
 		: "g"(0)		\
 		: "cc");		\
-	asm ("addq %0,%0; adcq %2,%1"	\
+	__asm__ ("addq %0,%0; adcq %2,%1"	\
 		: "+a"(t1),"+d"(t2)	\
 		: "g"(0)		\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c0),"+d"(t2)	\
 		: "a"(t1),"g"(0)	\
 		: "cc");		\
-	asm ("addq %2,%0; adcq %3,%1"	\
+	__asm__ ("addq %2,%0; adcq %3,%1"	\
 		: "+r"(c1),"+r"(c2)	\
 		: "d"(t2),"g"(0)	\
 		: "cc");		\
